package LogParser;

import java.util.*;

public class XMLLog_TestCaseEntry
{
   private Date           timestamp;
   private boolean        correct;
   private Vector<String> args;
   
   public XMLLog_TestCaseEntry() { args = new Vector<String>(); }
   
   public void addArg(String arg) { args.add(arg); }
   
   public void setTimestamp(Date date) { timestamp = date; }
   public Date getTimestamp()          { return timestamp; }
   
   public void setCorrect(boolean b) { correct = b;}
   public boolean isCorrect()        { return correct; }
   
   public String toString()
   {
      String temp = "<TestCase timestamp=\""+
                    timestamp.toString()+"\" correct=\""+
                    correct+"\">\n";
      for(int i = 0; i < args.size(); ++i)
      {
         temp += args.elementAt(i)+"<br/>\n";
      }
      temp += "</TestCase>\n";
      
      return temp;
   } // end toString()
} // end class
